redmine (6.1.3+ds-2) unstable; urgency=medium

  * debian/patches/gemfile-deps-adjustment.patch:  Update to use ruby-zip 3.5.
  * debian/control:  Update the following Build-Dependency and Dependency:
    - Bump ruby-html-pipeline from (>= 2.14.3), (<< 2.15) to
      (>= 2.14.3), (<< 3.2.5).
    - Bump ruby-zip from (>= 3.4.1), (<< 3.5) to (>= 3.5.0), (<< 3.6).

 -- Soren Stoutner <soren@debian.org>  Wed, 26 Aug 2026 14:53:22 -0700

redmine (6.1.3+ds-1) unstable; urgency=medium

  [ Soren Stoutner ]
  * New upstream version (closes: #1140483 - CVE-2026-1836).
  * Move debian/doc/examples/ to debian/examples/.
  * Rename debian/examples to debian/redmine.examples and change contents to
    install from debian/examples/.
  * Add debian/source/lintian-overrides.
  * Add debian/README.source to document the CRLF issue.
  * debian/patches/add-multi-tenancy-support.patch:  Refresh offsets.
  * debian/patches/autoload-thin-gem.patch:  Refresh offset.
  * debian/patches/fix-sanitation-tests.patch:  Refresh offsets.
  * debian/patches/gemfile-deps-adjustment.patch:  Update for latest release.
  * debian/patches/use-system-jquery-libs.patch:  Refresh fuzz and offset.
  * debian/control:  Update the following Build-Dependency and Dependency:
    - Bump Standards-Version from 4.7.3 to 4.7.4, no changes needed.
    - Add ruby-bcrypt.
    - Add ruby-oauth2.
    - Add ruby-rest-client.
    - Add ruby-doorkeeper (>= 5.9.3), (<< 5.10).
    - Add ruby-doorkeeper-i18n (>= 5.2), (<< 5.3).
    - Add ruby-importmap-rails (>= 2.0), (<< 3).
    - Add ruby-minitest (>= 5.27), (<< 6.1).
    - Add ruby-requestjs-rails (>= 0.0.13), (<< 0.1.0).
    - Add ruby-stimulus-rails (>= 1.3), (<< 2.0).
    - Bump debhelper-compat from version 13 to 14, dropping now unnecessary
      ${misc:Depends}.
    - Bump ruby-commonmarker from (>= 0.23.8), (<< 0.24) to (>= 2.8.3),
      (<< 2.9).
    - Bump ruby-i18n from ruby-i18n (>= 1.14.1), (<< 1.15) to (>= 1.15.2),
         (<< 1.16).
    - Bump ruby-mail from (>= 2.8.1~), (<< 2.9) to (>= 2.9.1), (<< 2.10)
      (closes: #1127718).
    - Bump ruby-minitest from (>= 5.27), (<< 6.1) to (>= 6.0), (<< 7)
    - Bump ruby-nokogiri from (>= 1.18.3), (<< 1.19) to (>= 1.19.1), (<< 1.20).
    - Bump ruby-rails from (>= 2:7.2), (<< 2:8.0) to (>= 2:7.2.3), (<< 2:7.3).
    - Bump ruby-rbpdf from (>= 1.21.3~) to (>= 1.21.4).
    - Bump ruby-rouge from (>= 4.5), (<< 5.0) to (>= 5.0), (<< 6).
    - Bump ruby-sqlite3 from (>= 1.7.0), (<< 1.8) to (>= 2.9.0), (<< 2.10.0).
    - Bump ruzy-zip from (>= 3.2.2), (<< 3.3) to (>= 3.4.1), (<< 3.5).
    - Change ruby-rack (>= 3.1.3~), (<< 3.2) to ruby-rack (>= 3.1.3) to match
      the Gemfile.
    - Remove unnecessary ~ from the version constraints.
    - Drop the unnecessary dependency on ruby-simplecov.
  * debian/copyright:
    - Bump my copyright years to be 2024-2026.
    - Update app/assets/ stanza to match new upstream release.
  * debian/README.Debian:  Fix typos.
  * debian/readmine.lintian-overrides.  Add override for
    package-contains-empty-directory.
  * debian/rules:
    - Make the new /usr/share/rebmine/bin/importmap executable.
    - Remove the example plugin.
    - Remove unnecessary double-upstream README file.
    - Remove "FIXME" from comment and replace with an explanation of the file
      permission modification (fixes a lintian info tag).
  * debian/watch:  Update to version 5.

  [ Lucas Nussbaum ]
  * Remove unnecessary debian/.gitattributes.

 -- Soren Stoutner <soren@debian.org>  Thu, 06 Aug 2026 18:24:04 -0700

redmine (6.0.6+ds-6) unstable; urgency=medium

  * Rename debian/dirs to redmine.dirs.
  * debian/control:
    - Bump the Standards-Version from 4.7.2 to 4.7.3.
    - Remove "Priority: optional" to comply with the new Standards-Version.
  * debian/redmine.dirs:
    - Create /usr/share/redmine/tmp (closes: #1123940).
  * debian/redmine.prerm:  Remove any temporary files from
    /usr/share/redmine/tmp on purge.

 -- Soren Stoutner <soren@debian.org>  Mon, 29 Dec 2025 13:36:35 -0700

redmine (6.0.6+ds-5) unstable; urgency=medium

  * debian/patches/use-system-jquery-libs.patch:  Restore loading of
    jquery-min.js (closes: #1121194).
  * debian/control:  Restore Depends on libjs-jquery.
  * debian/redmine.links:  Restore link for jquery-min.js.

 -- Soren Stoutner <soren@debian.org>  Tue, 25 Nov 2025 19:20:42 -0700

redmine (6.0.6+ds-4) unstable; urgency=medium

  * debian/patches/gemfile-deps-adjustment.patch:
    - Remove 'nokogiri '~> 1.18' and let it default to '~> 1.18.3' as Debian now
      has 1.18.10.
    - Bump mini_magick from '~> 5.3.0' to '~> 5.3.1' to match versions available
      in Debian.
    - Change sanitize from ">= 6.0" to "~> 7.0" to better constrain future
      breaking updates (upstream is currently "~> 6.0").
    - Remove selenium-webdriver '>= 4.4.0' and let it default to '>= 4.11.0' as
      Debian now has 4.38.0.
  * debian/control:
    - Add Build-Depends-Indep and Depends upper bounds (closes: #1121060):
      - ruby-commonmarker (<< 0.24).
      - ruby-csv (<< 3.4.0).
      - ruby-html-pipeline (<< 2.15).
      - ruby-i18n (<< 1.15).
      - ruby-listen (<< 4.0).
      - ruby-mail (<< 2.9).
      - ruby-mini-magick (<< 5.4).
      - ruby-mini-mime (<< 1.2).
      - ruby-net-ldap (<< 0.21).
      - ruby-nokogiri (<< 1.19).
      - ruby-rack (<< 3.2).
      - ruby-rails (<< 2:7.3).
      - ruby-rails-propshaft (<< 1.2).
      - ruby-rbpdf (<< 1.22).
      - ruby-roadie-rails (<< 3.5).
      - ruby-rouge (<< 5.0).
      - ruby-sanitize (<< 8.0).
      - ruby-simplecov (<< 0.23).
      - ruby-task-list (<< 2.4).
      - ruby-zip (<< 3.3).
      - ruby-mysql2 (<< 0.6).
      - ruby-pg (<< 1.7).
      - ruby-sqlite3 (<< 1.8).
    - Remove obsolete Build-Depends-Indep and Depends:
      - ruby-coderay.
      - ruby-rails-observers.
      - ruby-redcarpet.
      - ruby-rmagick.
      - ruby-roadie, handled transitively through ruby-roadie-rails.
    - Adjust Build-Depends-Indep and Depends:
      - Bump ruby-commonmarker from (>= 0.23.1~) to (>= 0.23.8~).
      - Bump ruby-csv from (>= 3.2.2~) to (>= 3.3.4~).
      - Bump ruby-selenium-webdriver from (>= 4.4.0) to (>= 4.11.0).
      - Bump ruby-mini-magick from (>= 5.3.0~) to (>= 5.3.1~).
      - Bump ruby-nokogiri from (>= 1.18~) to (>= 1.18.3~).
      - Bump ruby-sanitize from (>= 6.0~) to (>= 7.0~).
      - Bump ruby-selenium-webdriver from (>= 4.4.0) to (>= 4.11.0),
      - Lower ruby-sqlite3 from (>= 1.7.3~) to (>= 1.7.0~) to match upstream.
      - Drop ruby-marcel (>= 1.0.1+dfsg-2~) version constraint as it is not
        constrained upstream.
      - Add ruby-rotp (>= 5.0.0) version constraint to match upstream.

 -- Soren Stoutner <soren@debian.org>  Thu, 20 Nov 2025 13:12:29 -0700

redmine (6.0.6+ds-3) unstable; urgency=medium

  * debian/patches/gemfile-deps-adjustment.patch:
    - Bump net-ldap from '~> 0.19.0' to '~> 0.20.0'.
    - Bump roadie-rails from '~> 3.3.0' to '~> 3.4.0'.
    - Bump rubyzip from '~> 2.3.0' to '~> 3.2.2'.
    - Bump pg from '~> 1.5.3' to '~> 1.6.2'.
  * debian/patches/use-system-jquery-libs.patch:  Remove obsolete addition of
    jquery.min.js and jquery_ujs.js (closes: #1118574).
  * debian/control:
    - Remove the following from Build-Depends-Indep:
     - ruby-jquery-rails
    - Remove the following from Depends:
     - libjs-jquery
     - ruby-jquery-rails
    - Remove <!nocheck> from the following Build-Depends-Indep
      (closes: #1116892):
      - ruby-capybara
      - puma
      - ruby-listen
      - ruby-mocha
      - ruby-selenium-webdriver
      - ruby-simplecov
    - Adjust Build-Depends-Indep and Depends to:
      - Bump ruby-net-ldap from (>= 0.19.0~) to (>= 0.20.0~).
      - Bump ruby-roadie-rails from (>= 3.3.0~) to (>= 3.4.0~).
      - Bump ruby-zip from (>= 2.3.0~) to (>= 3.2.2~).
    - Adjust redmine-pgsql Depends:
      - Bump ruby-pg from (>= 1.5~) to (>= 1.6.2~).
  * debian/redmine.links:  No longer link to jquery.min.js and jquery_ujs.js.

 -- Soren Stoutner <soren@debian.org>  Wed, 19 Nov 2025 15:19:03 -0700

redmine (6.0.6+ds-2) unstable; urgency=medium

  * Add debian/lrc.config.
  * debian/patches/gemfile-deps-adjustment.patch:  Allow mini-magic >= 5.3.0.
  * debian/changelog:
    - Update the upstream license from GPL-2 to GPL-2+.
    - Add missing entries, refactor, and consolidate for readability.
  * debian/control:
    - Bump the minimum version of ruby-mini-magic to 5.3.0.
    - Remove obsolete dependency on ruby-actionpack-action-caching.
  * debian/salsa-ci.yml:  Update to match the new default team settings.

 -- Soren Stoutner <soren@debian.org>  Mon, 25 Aug 2025 16:15:06 -0700

redmine (6.0.6+ds-1) unstable; urgency=medium

  * Add fix-sanitation-tests.patch to adjust for Debian having a newer version
    of ruby-sanitize (7.0.0) than upstream is expecting (6.0.0).
  * Remove mercurial-py3-fix, applied upstream.
  * Remove debian/tests/mercurial-helper, as it depends on `cgi`, which has been
    removed from Python.
  * Rename 0002-Force-table-encoding-in-mysql.patch to
    force-table-encoding-in-mysql.patch.
  * Rename 0003-Use-production-environment-by-default.patch to
    use-production-environment-by-default.patch and refresh offset.
  * Rename 0004-Add-multi-tenancy-support.patch to
    add-multi-tenancy-support.patch.
  * Rename 0005-Assume-default-instance.patch to assume-default-instance.patch.
  * Rename autoload-thin-gem to autoload-thin-gem.patch and mark it as
    "Forwarded: not-needed".
  * Rename use_system_jquery_libs.patch to use-system-jquery-libs.patch and
    refresh failed hunk.
  * debian/control:
    - Set version constraints for ruby-rails-dom-testing to >= 2.3.0.
    - Move most Build-Depends to Build-Depends-Indep.
    - Remove commented ruby-rack-test depends.
    - Remove obsolete "Rules-Requires-Root: no".
  * debian/copyright:
    - Update Files-Excluded paths to match upstream changes.
    - Update Files-Excluded jquery ui file name to match upstream.
  * debian/patches/patch/gemfile-deps-adjustment.patch:  Refresh fuzz.
  * debian/README.Debian:  Improve plugin symlinking information.
  * debian/tests/control:
    - Remove superficial /bin/true test.
    - Add names to the tests.

 -- Soren Stoutner <soren@debian.org>  Sat, 16 Aug 2025 10:30:54 -0700

redmine (6.0.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * Remove debian/patches/run-some-tests-in-English.patch, applied upstream.
  * Add debian/po/ca.po (thanks to poc senderi <pocsenderi@protonmail.com>).

 -- Soren Stoutner <soren@debian.org>  Tue, 29 Apr 2025 19:43:16 -0700

redmine (6.0.4+ds-3) unstable; urgency=medium

  * debian/redmine.triggers:
    - Add /usr/lib/ruby/vendor_ruby.
    - Add individual architechture-specific directories for ruby-nokogiri
      instead of /usr/lib/*/rubygems-integration (really closes: #1015751).

 -- Soren Stoutner <soren@debian.org>  Fri, 18 Apr 2025 16:33:38 -0700

redmine (6.0.4+ds-2) unstable; urgency=medium

  * Add debian/patches/run-some-tests-in-English.patch to fix intermittent build
    failures.
  * debian/doc/examples/apache2-passenger-alias.conf:
    - Remove broken /redmine/assets/ information.
    - Group sections to make improve readability.
    - Add example custom aliases commands.
  * debian/doc/examples/apache2-passenger-host.conf:
    - Remove broken /assets/ information.
    - Group sections to make improve readability.
  * debian/control:  Update nokogiri depends version constraints to match
    current patch value in Gemfile.
  * debian/README.Debian:
    - Add information about running under an alias and clearing the cache,
      thanks to Jörg-Volker Peetz <jvpeetz@web.de> (Closes: #1101504).
  * debian/redmine.triggers:  Add /usr/lib/*/rubygems-integration
    (Closes: #1015751).
  * debian/rules:  Disable "export DH_RUBY_IGNORE_TESTS=all", which didn't
    appear to function anyway as the tests were running at build time.

 -- Soren Stoutner <soren@debian.org>  Thu, 17 Apr 2025 13:52:19 -0700

redmine (6.0.4+ds-1) unstable; urgency=medium

  [ Soren Stoutner ]
  * New upstream release.
  * Remove debian/source/lintian-overrides:  These overrides are obsolete.
  * Remove obsolete Apache configuration files, which no longer work without
    FCGI (Apache Passenger configuration files are still shipped):
    - debian/doc/examples/apache2-alias.conf
    - debian/doc/examples/apache2-host.conf
  * Update the names of the following files:
    - install -> redmine.install
    - postinst -> redmine.postinst
    - postrm -> redmine.postrm
    - prerm -> redmine.prerm
  * debian/doc/examples/apache2-passenger-alias.conf:
    - Update alias and directory from plugin-assets to assets.
    - Reformat for readability.
  * debian/doc/examples/apache2-passenger-host.conf:
    - Update alias and directory from plugin-assets to assets.
    - Reformat for readability.
  * debian/control:
    - Add build-depends on "ruby-listen <!nocheck>".
    - Add depends on puma, ruby-capybara, ruby-listen, ruby-mocha,
      ruby-rails-dom-testing, ruby-selenium-webdriver, and ruby-simplecov to the
      redmine binary package (Closes: #1099904).
    - Remove obsolete suggests on ruby-fcgi for the redmine binary package.
    - Bump standards-version to 4.7.2, no changes needed.
  * debian/copyright:  Remove obsolete information for:
    - public/javascripts/jstoolbar/*
    - public/javascripts/jstoolbar/lang/jstoolbar-et.js
  * debian/NEWS:  Update config file change news entry.
  * debian/patches/gemfile-deps-adjustment.patch:
    - Enable listen gem, which is now required, possibly by one of the newly
      enabled test gems.
    - Update gems for new upstream release.
  * debian/README.Debian:
    - Update for Redmine 6.x, specifically addressing the way plugins are now
      handled (Closes: #807169).
    - Add information about restricting access before changing the default
      password (Closes: #964759).
  * debian/tests/control:
    - Add "Restrictions: isolation-container" to tests that need to start
      services or open ports.
    - Disable debian/tests/smoke-test-lighttpd because there are no working
      lighttpd example config files.
    - Disable debian/tests/smoke-test-thin because it is trying to write to
      /etc/thin3.1/, which doesn't exist.
    - Disable plugin tests because they no longer work with Redmine 6.x.
    - Remove unnecessary FCGI and plugin depends from the nginx test.
    - Reorder and comment tests for readability.
  * debian/tests/plugin-assets:  Update plugin_assets to assets.
  * debian/tests/smoke-test-apache:  Enable the Apache passenger module.
  * debian/tests/smoke-test-nginx:  Disable FCGI commands.

  [ Valentin Kleibel ]
  * Add debian/doc/examples/redmine-puma-default.service, required for testing
    with nginx.
  * Update the following example configs to work with Redmine 6.x, including
    refactoring out the FCGI references:
    - debian/doc/examples/nginx-alias.conf
    - debian/doc/examples/nginx-host.conf
  * debian/patches/0004-Add-multi-tenancy-support.patch:  Update for 6.x changes
    (Closes: #1099906), merging in stop-unnecessary-recursive-chowning.patch.
  * debian/tests/smoke-test-nginx:  Update to work with Redmine 6.x.

 -- Soren Stoutner <soren@debian.org>  Thu, 27 Mar 2025 16:10:09 -0700

redmine (6.0.3+ds-2) unstable; urgency=medium

  * Re-upload to unstable. (Closes: #1095148)
  * Add dependency on propshaft.

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 07 Mar 2025 13:53:11 +0530

redmine (6.0.3+ds-1) experimental; urgency=medium

  * New upstream release.
  * Remove the following example configs as they depend on dispatch.fcgi, which
    has been removed upstream <https://www.redmine.org/issues/40092>.
    - debian/docs/examples/lighttpd-host.conf
    - debian/docs/examples/lighttpd-host-alias.conf
    - debian/docs/examples/lighttpd-socket.conf
    - debian/docs/examples/lighttpd-socket-alias.conf
    - debian/docs/examples/run-redmine-fcgi
  * Remove references to dispatch.fcgi from the following example configs, as
    support has been removed upstream.
    - debian/docs/apache2-alias.conf
    - debian/docs/apache2-host.conf
  * Remove debian/patches/broken-tests-skip.patch, these tests are now
    successful.
  * Remove debian/patches/relax-pg-version.patch, incorporated into
    debian/patches/gemfile-deps-adjustment.patch.
  * Remove debian/patches/relax-ruby-version-constraint.patch, applied upstream.
  * Remove debian/patches/rouge_4.5.patch, applied upstream.
  * Remove debian/patches/tests_missing_fixtures.patch, no longer needed.
  * Remove debian/patches/test-timezone.patch, applied upstream.
  * debian/control:
    - Drop build-depends on ruby-request-store, no longer used upstream.
    - Remove unneeded build-depends on gsfonts.
    - Drop obsolete version restriction on gem2deb (>= 2.1~).
    - Drop binary package depends on ruby-mocha and ruby-rails-dom-testing,
      which are only used for testing.
    - Enable build-depends on "ghostscript <!nocheck>", as the problematic
      version (< 9.24) is no longer in Debian.
    - Add build-depends on "ruby-rails-propshaft (>= 1.1.0~)".
    - Add <!nocheck> build-depends on puma, ruby-capybara,
      ruby-selenium-webdriver, and ruby-simplecov.
    - Bump dependency versions.
  * debian/copyright:
    - Update upstream copyright.
    - Add 2025 to copyright year for myself.
  * debian/NEWS:
    - Add entry explaining the removal of FastCGI support upstream.
    - Delete obsolete entries for versions <= 3.x.
  * debian/patches/0002-Force-table-encoding-in-mysql.patch:  Remove fuzz.
  * debian/patches/0004-Add-multi-tenancy-support.patch:  Remove fuzz.
  * debian/patches/autoload-thin-gem:  Refresh offsets.
  * debian/patches/gemfile-deps-adjustment.patch:  Update gem versions.
  * debian/patches/use_system_jquery_libs.patch:  Remove fuzz.
  * debian/rules:
    - Remove commands relating to FastCGI, which have been obsoleted upstream.
    - Switch to using some execute_after sections.
    - Remove -f from rm commands to be notified during build if things change.
  * debian/salsa-ci.yml:  Replace contents with currently recommended defaults.

 -- Soren Stoutner <soren@debian.org>  Tue, 04 Feb 2025 16:57:37 -0700

redmine (5.1.3+ds-6) unstable; urgency=medium

  * Relax dependency for ruby version in Gemfile
  * Remove extra exists? in a patch

 -- Cédric Boutillier <boutil@debian.org>  Tue, 28 Jan 2025 07:33:28 +0100

redmine (5.1.3+ds-5) unstable; urgency=medium

  * debian/control:  Bump ruby-net-ldap build-depends version from (>= 0.17.0~)
    to (>= 0.19.0~).
  * debian/patches/gemfile-deps-adjustment.patch:  Bump gem 'net-ldap' from
    '~> 0.17.0' to '~> 0.19.0'.

 -- Soren Stoutner <soren@debian.org>  Thu, 19 Dec 2024 12:16:43 -0700

redmine (5.1.3+ds-4) unstable; urgency=medium

  * debian/copyright:  Document that the excluded files are provided by their
    Debian packages.
  * debian/control:  Add Suggests apache2 and libapache2-mod-passenger to
    redmine binary package.
  * debian/redmine.links:
    - Update chart.min.js link (Closes: #1083165).
    - Rename from "links" to "redmine.links" to be compatible with the proposed
      debhelper-compat >= 15.
    - Reformat for readability.
  * debian/missing-sources:  Remove chart.min.js and jquery-migrate-3.3.2.min.js
    as these are now excluded from the source and provided by their respective
    Debian packages.

 -- Soren Stoutner <soren@debian.org>  Mon, 16 Dec 2024 15:05:59 -0700

redmine (5.1.3+ds-3) unstable; urgency=medium

  * Team upload.
  * Update version in ruby-mini-magick dependency.

 -- Cédric Boutillier <boutil@debian.org>  Wed, 04 Dec 2024 08:41:50 +0100

redmine (5.1.3+ds-2) unstable; urgency=medium

  * Team upload.
  * Update some versions in dependencies. (Closes: #1087591)
    Thanks Jörg-Volker Peetz

 -- Cédric Boutillier <boutil@debian.org>  Mon, 18 Nov 2024 23:54:31 +0100

redmine (5.1.3+ds-1) unstable; urgency=medium

  [Soren Stoutner]
  * New upstream release (Closes: #1052877, #1041020).
    - Fixes CVE-2023-47260, CVE-2023-47259, CVE-2023-47258.
  * debian/control:
    - Bump debhelper-compat from 12 to 13.
    - Bump standards version to 4.7.0 (no changes needed).
    - Update Build-Depends minimum versions.
  * debian/copyright:
    - Add myself to 'Files: debian/*'.
    - Improve GPL-2 and GPL-2+ license text.
  * debian/Gemfile.test.local:  Add gem 'sqlite3' required by the database test.
  * debian/patches:
    - Remove mail-2.8.patch (applied upstream).
    - Remove update-rouge-to-4.1.0.patch (applied upstream).
    - Add test-timezone.patch.
    - Add test skip to broken-tests-skip.patch.
    - Refresh other patches.
  * debian/postinst:  Fix bashisms (Closes: #1040927).
  * debian/source/lintian-overrides:  Remove obsolete overrides.
  * debian/templates:  Update list of language choices.
  * debian/watch:  Repack the upstream tarball using the "+ds" extension as some
    JavaScript files are replaced by system packages.

  [ Marc Dequènes (Duck) ]
  * Remove allow-activesupport-hwia.patch, it is now integrated upstream
    and this override now breaks various plugins.
  * Fix broken locales check due to bad ordering.
  * Remove install-purge-install test.
  * Add dependency on ruby-with-advisory-lock for mysql adapter.
  * Add patch to fix tests with rouge 4.5.
  * Add patch to fix tests randomly failing due to missing fixtures.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 15 Nov 2024 16:49:28 +0900

redmine (5.0.4-7) unstable; urgency=medium

  * d/postinst: Run redmine from its own user. (Closes: #1022815)
  * d/README.Debian: document how to run redmine from its own user.

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 10 Jul 2023 15:23:38 +0530

redmine (5.0.4-6) unstable; urgency=medium

  [Jakob Haufe]
  * Patch mercurial helper to work with Python 3 (Closes: #1031811).
  * Adapt dependencies version requirements.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 04 Jul 2023 11:46:13 +0900

redmine (5.0.4-5) unstable; urgency=medium

  [Jakob Haufe]
  * Add support for Thin (Closes: #1031685).

  [ Marc Dequènes (Duck) ]
  * Update lintian overrides to new format.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 22 Feb 2023 03:58:10 +0900

redmine (5.0.4-4) unstable; urgency=medium

  * Set DH_RUBY_IGNORE_TESTS to all. (Closes: #1031308)
  * Cherry-pick changes from bullseye-backports branch.
  * Revert "d/rules: Limit PARALLEL_WORKERS to 2 to attempt fix flaky tests"

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 20 Feb 2023 19:31:13 +0530

redmine (5.0.4-3) unstable; urgency=medium

  [ Nilesh Patra ]
  * d/rules: Limit PARALLEL_WORKERS to 2 to attempt fix flaky tests.
  * Cleanup some more stuff for clean builds.

  [ Utkarsh Gupta ]
  * Add patch to stop unnecessary recursive chown'ing.
    (Closes: #1022816, #1022817)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 10 Feb 2023 22:57:07 +0530

redmine (5.0.4-2) unstable; urgency=medium

  * Team upload.
  * d/control (Depends): Add ruby-mocha (closes: #1029601).

 -- Daniel Leidert <dleidert@debian.org>  Wed, 01 Feb 2023 16:41:38 +0100

redmine (5.0.4-1) unstable; urgency=medium

  * New upstream version 5.0.4. (Closes: #1022818)
    - Fixes CVE-2022-44030, CVE-2022-44031, and CVE-2022-44637.
      (Closes: #1026048)
  * Refresh d/patches.
    - Keep mocha in Gemfile. (Closes: #1027340)

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 16 Jan 2023 17:56:19 +0530

redmine (5.0.2-2) unstable; urgency=medium

  * Add patch to relax pg's version for autopkgtest.

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 13 Sep 2022 20:29:06 +0530

redmine (5.0.2-1) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * Do not use bundle without command. (Closes: #999617)

  [ Vivek K J ]
  * Relax Gemfile dep rouge (use 3.30.0 instead of 3.28.0).

  [ Utkarsh Gupta ]
  * New upstream version 5.0.2
  * Refresh d/patches.
    + Allow rouge ~> 3.28 as well. (Closes: #1017525)
    + Allow src:rails ~> 6.1.6 as well. (Closes: #1019607)
  * Add patch to allow Symbols and HWIA in YAML columns.
    (Closes: #1019238)
  * Add myself as an uploader.
  * Update minimum version of ruby-rails to 6.1.6.
  * Replace ruby-deckar01-task-list with ruby-task-list.

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 13 Sep 2022 18:28:49 +0530

redmine (5.0.0-1) unstable; urgency=medium

  * New upstream version: (Closes: #990792, #998417, #986800, #956365,
    #969206, #961630)
    + updated Files-Excluded.
    + refreshed/adapted patches.
    + removed gantt_jquery3_fix.patch, applied upstream.
    + removed openid_optional.patch, OpenID support removed.
    + removed openid_hardcoded.patch, OpenID support removed.
    + update missing source.
  * Fix import issue with tmp directory (Thanks Andre Heider) (Closes:
    #952417).
  * Bumped Standards-Version to 4.6.0 (no changes required).
  * Minor package updates suggested by dh-make-ruby.
  * Add upstream metadata.
  * Switch to watch format 4.
  * Update watch URL.
  * Ensure database choice match installed redmine-<db> packages.
  * Set Rules-Requires-Root to 'no'.
  * Remove obsolete Breaks and Conflicts.
  * Update lintian overrides.
  * Fix Passenger restart file location in example Apache config (thanks
    Pierre-Louis Bonicoli).
  * doc: async_smtp method was removed in 4.0.0.
  * Add lintian overrides for doc included in the UI.
  * Update copyright info.
  * Enable test suite at build time (courtesy of Emilio Pozuelo Monfort)
    (Closes: #988449).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 12 Apr 2022 18:39:20 +0900

redmine (4.0.6-1) unstable; urgency=medium

  * NUR (Closes: #947779):
    + fix_jquery_deprecated_zindex.patch removed (included upstream)
    + refreshed patches
    + updated Gemfile requirements (Closes: #949039)
  * Add missing support for Chart.js.
  * Add patch to fix Gantt with JQuery 3 (Closes: #950570).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 07 Feb 2020 00:54:24 +0900

redmine (4.0.4-3) unstable; urgency=medium

  * Clarify plugins installation documentation (partial reply to
    #807169).
  * Do not install upstream changelog generator script.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 09 Sep 2019 14:45:37 +0900

redmine (4.0.4-2) unstable; urgency=medium

  * Add patch to fix deprecated jQuery zIndex function (thanks Fabrice
    Helmbacher).
  * add tests for lighttpd host configuration.
  * Add nging host configuration and test.
  * Fix adapters loading in multi-tenancy support.
  * Fix socket path in example nginx-alias.conf.
  * Update configuration examples to use REDMINE_INSTANCE instead of the
    deprecated X_DEBIAN_SITEID.
  * Clarify doc about alternate webserver configurations.
  * Remove support for OpenID as ruby-openid is plaggued by CVE-2019-
    11027 due to a specification problem, and anyway this protocol has
    too many flaws.
  * Also test the login page with autopkgtest.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 07 Sep 2019 03:16:56 +0900

redmine (4.0.4-1) unstable; urgency=medium

  [ Stewart Ferguson ]
  * Relaxing dependencies to allow minor version increments (Closes: #933784)
  * Bumping compat 11->12 (replacing d/compat with dep)
  * Bumping Standards-Version 4.3.0 -> 4.4.0 (no changes required)

  [ Marc Dequènes (Duck) ]
  * New upstream release, update/refresh patches.

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 17 Aug 2019 15:45:31 +0900

redmine (4.0.1-2) unstable; urgency=medium

  * fix use_system_jquery_libs.patch (Closes: #923891):
    + avoid loading libs multiple times
    + correct event loading for JQuery 3
  * conflicts with incompatible plugins (Closes: #923843):
    + redmine-plugin-pretend: unmaintained, no replacement
    + redmine-plugin-recaptcha: unmaintained, another fork may work
    + redmine-plugin-local-avatars: unmaintained, pending PR may work,
        see #924110

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 15 Apr 2019 12:47:36 +0900

redmine (4.0.1-1) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * Use default-mysql-server for autopkgtests.
  * Fix missing or not tight enough dependencies, thanks to Dmitry
    Smirnov (Closes: #903903).
  * Fix relaxed dependency on mysql2, thanks to Hashem Nasarat (Closes:
    #909775).
  * Fix the trigger to update the Gemfile.lock, thanks Antonio Terceiro
    for the solution and Hashem Nasarat for the investigation (Closes:
    #909661).
  * Declare compliance with Debian Policy 4.2.1
  * Use system jquery libs instead of source-less embedded aggregated
    file.

  [ Balint Reczey ]
  * New upstream version 4.0.1 (Closes: #919805)
  * Refresh patches

  [ Lucas Kanashiro ]
  * Update build and runtime dependencies
  * Update patch to also relax ruby-pg contraint version
  * debian/rules: do not try to remove non existent file
  * Bump debhelper compatibility level to 11
  * Declare compliance with Debian Policy 4.3.0
  * Update years of upstream copyright
  * Update upstream copyright

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 18 Feb 2019 10:03:45 -0300

redmine (3.4.6-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.1.5

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 31 Jul 2018 18:45:35 +0900

redmine (3.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.1.4

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 16 Apr 2018 00:37:24 +0900

redmine (3.4.4-1) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * New upstream release:
    + refreshed patches.
    + fix CVE-2017-15568 (Closes: #882544)
    + fix CVE-2017-15569 (Closes: #882545)
    + fix CVE-2017-15570 (Closes: #882547)
    + fix CVE-2017-15571 (Closes: #882548)
    + fix CVE-2017-18026 (Closes: #887307)
  * Add missing dependency on 'libjs-raphael' (Closes: #857952).
  * Updated Russian translation of debconf template, thanks Lev Lamberov
    (Closes: #883919)
  * Updated VCS URLs (Alioth->Salsa).

  [ Lucas Kanashiro ]
  * Bump debhelper compatibility level to 10
  * Declare compliance with Debian Policy 4.1.3

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 02 Apr 2018 13:52:08 +0900

redmine (3.4.2-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * New upstream release
  * Refresh patches
    - drop 0006-Bulk-edit-show-fields-required-after-status-tracker-.patch,
      issue fixed upstream

  [ Marc Dequènes (Duck) ]
  * Thanks Antonio for the hard work. Lucas, the team, and myself are
    now taking over.
  * Use HTTPS URLs in Debian metadata.
  * Priority 'extra' is deprecated, switch to 'optional'.
  * Bumped Standards-Version.
  * Reload all Passenger instances (Closes: #879104).
  * Pass instance list to postrm to ensure removal works when things are
    broken (found in #868955).
  * Support dbconfig-no-thanks.
  * Do not fail if manual database installation is selected (Closes:
    #868955).
  * Fix executable-not-elf-or-script for 'mail_handler.rb'.

  [ Lucas Kanashiro ]
  * debian/copyright: fix path of redcloth3.rb file
  * Fix typo in Debian README
  * debian/rules: override dh_fixperms to change some files permission
  * debian/control: remove autopkgtest field, it is not necessary since the
    debian/tests/control file exists

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 20 Nov 2017 20:33:48 +0900

redmine (3.3.1-4) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/tests/install-purge-install: let autopkgtest handle the first
    installation. This improves the reliability of the test because
    autopkgtest handles temporary download failures in APT for us

  [ Jonatan Nyberg ]
  * Swedish translation update (Closes: #855367)

  [ Helge Kreutzmann ]
  * German translation update (Closes: #857527)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 07 Mar 2017 15:54:28 +0100

redmine (3.3.1-3) unstable; urgency=medium

  [ Beatrice Torracca ]
  * Italian translation update (Closes: #846978)

  [ Antonio Terceiro ]
  * debian/postrm: restore purging of configuration files created by
    dbconfig-common (Closes: #852130)
    - add a autopkgtest for install/purge/install

  [ Thomas Klose ]
  * Backport upstream patch to fix Bulk Edit functionality when changing
    between statuses that have different sets of read-only/mandatory fields.
    (Closes: #852694)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 13 Feb 2017 14:19:50 -0200

redmine (3.3.1-2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/postinst: touch tmp/restart.txt, so that when running under
    passenger, redmine is automatically restarted on upgrades.
  * debian/README.source: removed (obsolete)
  * debian/README.Debian: revamp documentation
  * debian/source/lintian-overrides: override lintian false positive:
    public/javascripts/project_identifier.js is NOT minified Javascript.

  [ Joe Dalton ]
  * Danish translation update (Closes: #830593)

  [ Frans Spiesschaert ]
  * Dutch translation update (Closes: #837098)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Nov 2016 00:21:19 -0200

redmine (3.3.1-1) unstable; urgency=medium

  * New upstream release
    + Refresh patches
  * debian/README.Debian: note that rake commands must be run from inside
    /usr/share/redmine
  * redmine-mysql: switch dependency from mysql-client to
    default-mysql-client, and suggestion from mysql-server to
    default-mysql-server.
  * debian/postinst: generate random secret with Ruby instead of OpenSSL
    directly. For some reason this fixes the autopkgtest tests under LXC.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 12 Nov 2016 20:50:38 -0200

redmine (3.2.3-2) unstable; urgency=medium

  * debian/postinst: handle dependency check failure when triggered, to avoid
    breaking in the middle of dist-upgrades.
  * 0004-Add-multi-tenancy-support.patch: don't try to load files that are not
    readable (Closes: #826663)
  * Drop dependency on ruby-awesome-nested-set, not actually used anymore

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 12 Jun 2016 20:55:01 -0300

redmine (3.2.3-1) unstable; urgency=medium

  * New upstream release
    - refresh patches
  * 0004-Add-multi-tenancy-support.patch: include support for plugin assets
    (Closes: #820875)
  * debian/postinst: always run plugin migrations
  * debian/doc/examples/apache2-*.conf: configure the plugin_assets directory
    to be accessible to HTTP clients.
  * debian/tests/control: add a test case for plugins, using
    redmine-plugin-custom-css as an example.
  * new dependency: ruby-mimemagic

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 05 Jun 2016 14:29:22 -0300

redmine (3.2.1-2) unstable; urgency=medium

  [ Jonatan Nyberg ]
  * Swedish translation update (Closes: #819743)

  [ Antonio Terceiro ]
  * 0004-Add-multi-tenancy-support.patch: load dependencies for all database
    drivers used by all Redmine instances (Closes: #819815)
  * 0005-Assume-default-instance.patch: remove change to Gemfile, not needed
    anymore.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 Apr 2016 20:24:31 -0300

redmine (3.2.1-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * New upstream release
  * Refresh patches
  * Change dependency from bundler to ruby-bundler, so that just installing
    redmine doesn't get you a toolchain (Closes: #816075)

  [ Américo Monteiro ]
  * Updated Portuguese translation
    (Closes: #816140)

  [ Julien Patriarca ]
  * Updated French debconf translation
    (Closes: #816681)

  [ Takuma Yamada ]
  * Japanese debconf templates translation update
    (Closes: #817864)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 20 Mar 2016 13:54:44 -0300

redmine (3.2.0-3) unstable; urgency=medium

  * 0001-Gemfile-relax-some-dependencies.patch: also relax dependency on
    mysql2
  * debian/control: bump Standards-Version to 3.9.7; no changes needed.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 25 Feb 2016 20:23:14 -0300

redmine (3.2.0-2) unstable; urgency=medium

  * Enforce dependencies on the required versions of rails and jquery-rails
    (Closes: #814833)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 16 Feb 2016 10:26:50 -0200

redmine (3.2.0-1) unstable; urgency=medium

  * New upstream release
    - new dependencies: ruby-rbpdf, ruby-roadie-rails
  * debian/watch: point at github
  * Bump debhelper compatibility level to 9
  * Move from cdbs to dh
  * Stop builing fonts, upstream redmine doesn't rely on them anymore
  * Dropped all patches already applied upstream and reworked all others.
    Remaining patches:
    - 0001-Gemfile-relax-some-dependencies.patch: adapt Gemfile
      - now working against dependencies in unstable
        (Closes: #808466, #792870)
    - 0002-Force-table-encoding-in-mysql.patch
    - 0003-Use-production-environment-by-default.patch
    - 0004-Add-multi-tenancy-support.patch
  * debian/copyright: updated wrt recent changes in the upstream tree
  * debian/control: remove Conflicts: against packages that don't exist in
    jessie.
  * dropped obsolete dependency on libjs-scriptaculous
  * Recommends: change ruby-passenger to passenger, drop old libfcgi-ruby*
  * Suggests: add ruby-fcgi
  * debian/control: move myself to Maintainer:, and move Jérémy Lal
    to Uploaders:
  * List runtime dependencies as build dependencies as well, and check that
    all dependencies are OK at build time.
  * Switch Vcs-* to https URLs

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 15 Feb 2016 09:20:02 -0200

redmine (3.0~20140825-8) unstable; urgency=medium

  * Replace "interest" triggers with "interest-nowait" ones to avoid trigger
    loops (Closes: #786763)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 10 Jul 2015 20:07:20 -0300

redmine (3.0~20140825-7) unstable; urgency=medium

  * debian/postinst: always remove and recreate Gemfile.lock to handle the
    case where dependencies are being upgraded.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 May 2015 19:18:34 -0300

redmine (3.0~20140825-6) unstable; urgency=medium

  * debian/doc/examples/apache2-host.conf: fix typo in package name user is
    told to install Closes: #777736
  * Fix upgrades when there are locally-installed plugins Closes: #779273
    - debian/postinst: run rake under `bundle exec` to correctly handle
      upgrades when the local admin installed non-packaged plugins (i.e.
      ~100% of them).
    - 2003_externalize_session_config.patch, 2002_FHS_through_env_vars.patch,
      gemfile-adjustments.patch: always set RAILS_ETC, RAILS_* unconditionally
      from X_DEBIAN_SITEID because the load order under `bundle exec` seems to
      be a little different.
    - change Gemfile.lock handling:
      + symlink Gemfile.lock to /var/lib/redmine/Gemfile.lock
      + always update it at the beginning of debian/postinst
      + trigger postinst Ruby packages are upgraded
  * Don't leave unowned files after purge. Closes: #781534
    - debian/postinst:
      - don't create files under /usr/share/redmine/app
      - pass SCHEMA=/dev/null to rake `db:migrate` so it won't create
        /usr/share/redmine/db/schema.rb
    - debian/postrm: remove the aforementioned files
  * debian/postinst: fix several programming errors
    - initialize variable that will hold the return code of a potentially
      failing command to 0 so it is not undefined if the command suceeeds.
      Closes: #780894
    - add missing quotes around $fHasOldSessionName
    - fix logic when testing whether session.yml file exists
    - restrict usage of $2 as a version number when triggered, since $2 will
      contain the trigger names instead.
  * debian/patches/fix-move-issue-between-projects.patch: applied patch by
    Tristam Fenton-May to fix moving issues across projects (Closes: #783717)
  * debian/install:
    - install bin/ directory so rails detects redmine as a proper Rails app
      + This fixes running `rails console`, `rails dbconsole` etc from within
        the installed package at /usr/share/redmine.
    - don't install deprecated script/ directory
  * debian/doc/examples/apache2-passenger-*.conf: document line that must
    be changed in extra instances.
  * debian/patches/gemfile-adjustments.patch:
    - bump dependency on redcarpet
    - don't try to read database.yml is it's not readable

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 02 May 2015 11:33:20 -0300

redmine (3.0~20140825-5) unstable; urgency=high

  * debian/patches/0001-Escape-flash-messages-19117.patch
    - Fix potential XSS vulnerability with flash messages.
    - No CVE id assigned yet

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 22 Feb 2015 11:32:27 -0300

redmine (3.0~20140825-4) unstable; urgency=medium

  * debian/doc/examples/apache2-passenger-alias.conf: updated example
    configuration for Passenger setups under a sub-uri (e.g. /redmine) so that
    it actually works.
  * debian/tests/* also test apache2-passenger-alias case.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 30 Jan 2015 14:04:38 -0200

redmine (3.0~20140825-3) unstable; urgency=medium

  * debian/patches/avoid-crash-on-issues.diff: apply upstream patch to avoid
    crashes in some issue management configurations (Closes: #771849)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 04 Dec 2014 09:41:50 -0200

redmine (3.0~20140825-2) unstable; urgency=medium

  * README.Debian: update instructions to run redmine without a webserver
    (Closes: #765498)
  * Make Gemfile.lock a symlink to /dev/null, so that bundler will not
    abort on upgrades of minor versions (Closes: #767548)
  * debian/redmine.triggers: reconfigure package whenever a plugin is
    installed; so plugins database setup scripts are automatically applied
    when they are installed.
  * debian/patches/drop-update_all.patch: apply upstream patch to fix upgrades
    from wheezy (Closes: #765466)
  * debian/patches/invalidate-language-cache-from-older-versions.diff: avoid
    using cached language list created by earlier versions, which is in a
    incompatible data structure (Closes: #764230)
  * Added Italian translation for Debconf prompts, thanks to Beatrice Torracca
    (Closes: #768575)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 30 Nov 2014 21:20:40 -0200

redmine (3.0~20140825-1) unstable; urgency=medium

  * New upstream snapshot
    .
    New dependencies:
      + bundler
      + ruby-actionpack-action-caching
      + ruby-jquery-rails,
      + ruby-mime-types
      + ruby-protected-attributes
      + ruby-redcarpet
      + ruby-request-store
      + ruby-rmagick
    Changed dependencies:
      + ruby-railties-3.2 → ruby-rails (>= 2:4)
    Add Conflicts:
      + ruby-activesupport-2.3, ruby-activesupport-3.2 to ease apt into
        upgrading from wheezy
    Works with ruby-awesome-nested-set 3.0 (Closes: #762283)
  * Drop debian/patches/2019_unplug_bundler.patch: bundler is too much
    intricated into Rails nowadays for us to be able to run without it.
  * debian/rules: stop messing with the Gemfile
  * debian/patches/gemfile-adjustments.patch: make adjustments to version
    expectations; some of them are too strict
  * Add smoke test as autopkgtest test suite.
  * redmine-mysql: use ruby-mysql2 instead of ruby-mysql
  * Updated documentation:
    - running as unprivileged user sharing the system-wide install is not
      really supported anymore. Added a note in NEWS.
    - updated apache2-passenger setup instructions

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 30 Sep 2014 18:40:42 -0300

redmine (2.5.2-1) unstable; urgency=medium

  * New upstream version 2.5.2
  * Mangle installed Gemfile from d/rules instead of patching

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Jul 2014 13:00:30 +0200

redmine (2.5.1-2) unstable; urgency=medium

  * New redmine needs awesome_nested_set gem
  * Load awesome_nested_set in initializers

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Apr 2014 11:48:47 +0200

redmine (2.5.1-1) unstable; urgency=medium

  * Add ruby-i18n (>= 0.6.9-1~) dependency to unbreak upgrades in backports
  * New upstream version 2.5.1 (Closes: #743828)
  * Refresh patches for 2.5.1 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Apr 2014 09:38:26 +0200

redmine (2.4.2-1) unstable; urgency=low

  * New upstream version 2.4.2
  * Update patches for 2.4.2 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jan 2014 11:25:00 +0100

redmine (2.4.1-1) unstable; urgency=low

  * New upstream version 2.4.1
  * Refresh patches for 2.4.1 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 03 Dec 2013 12:04:41 +0100

redmine (2.3.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Tighten redmine-mysql dependencies to ruby-mysql, as ruby-mysql2
    exposes another interface and does not work OOTB with the current
    postinst. (Closes: #728243)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 31 Dec 2013 00:05:41 +0100

redmine (2.3.3-3) unstable; urgency=low

  * Drop unused rubygems build-dependency.
  * Add ruby-rack1.4 as alternative. Closes: #731177.
  * Remove dependency on ruby-fastercsv, this is part of the ruby1.8
    removal.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 02 Dec 2013 23:47:41 +0100

redmine (2.3.3-2) unstable; urgency=low

  * Add Gemfile patch back to allow backporting redmine
  * Unplug bundler in the plugins as well

 -- Ondřej Surý <ondrej@debian.org>  Thu, 24 Oct 2013 08:55:43 +0200

redmine (2.3.3-1) unstable; urgency=low

  * Imported Upstream version 2.3.3
  * Bundler is a development tool, it is not needed at runtime:
    + remove (build-)dependency on it
    + add 2019 patch to remove calls to it
    + depend only on ruby-railties, not rails nor ruby-rails-3.2
    + do not build nor install Gemfile.lock
  * Refresh patches, unapply changeset_r11680.diff, applied upstream
  * Remove ruby-openid from Suggests, it is already in Depends
  * Depends on ruby-rails-observers to ensure observers are loaded
  * Depends on libjs-scriptaculous (Closes: #702303)
  * Standards-Version 3.9.4
  * redmine-(pgsql|sqlite|mysql) packages recommend redmine, avoids
    circular dependency (Closes: #709801) and match long description.
  * Breaks plugins installed in vendor/plugins (Closes: #712715):
    + redmine-plugin-botsfilter <= 1.02-2
    + redmine-plugin-recaptcha <=0.1.0+git20121018
  * README.Debian: update webrick example (Closes: #709990)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 28 Sep 2013 13:28:10 +0200

redmine (2.3.1-1) unstable; urgency=low

  * Imported Upstream version 2.3.1
  * Upload to unstable.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 May 2013 10:44:29 +0200

redmine (2.3.0+dfsg1-6) experimental; urgency=low

  * Finish replacing RAILS_CACHE with RAILS_TMP (Closes: #704039)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 27 Mar 2013 12:26:28 +0100

redmine (2.3.0+dfsg1-5) experimental; urgency=low

  * Import upstream fix to log SCM stderr when log level is set to debug
    only.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Mar 2013 11:36:05 +0100

redmine (2.3.0+dfsg1-4) experimental; urgency=low

  * Fix missing then in the cache clear part of postinst script and don't
    remove the cache directory, just the contents.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Mar 2013 17:14:30 +0100

redmine (2.3.0+dfsg1-3) experimental; urgency=low

  * Put scm.stderr.log into correct directory, this will reenable scm
    commands again.
  * Remove patch reverting caching of I18N, we just need to ensure that
    /var/cache/redmine is cleared properly
  * Move cache directory under cache/ subdirectory, so the rake task
    works.
  * Depend on ruby-railties-3.2 (>= 3.2.13-2~), so the rake
    tmp:cache:clear command works.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Mar 2013 14:17:34 +0100

redmine (2.3.0+dfsg1-2) experimental; urgency=low

  * Add patch which reverts I18N caching and fix Redmine issue #13520

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Mar 2013 15:00:24 +0100

redmine (2.3.0+dfsg1-1) experimental; urgency=low

  * Imported Upstream version 2.3.0+dfsg1
  * Update patches for 2.3.0 release
  * Update dependencies for redmine 2.3.0, add ruby-mysql2 as optional mysql library

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Mar 2013 12:40:16 +0100

redmine (2.2.3+dfsg1-1) experimental; urgency=low

  * Imported Upstream version 2.2.3+dfsg1
  * Update patches to 3.2.12 release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Feb 2013 09:06:27 +0100

redmine (2.2.2+dfsg1-1) experimental; urgency=low

  * Imported Upstream version 2.2.2+dfsg1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Jan 2013 11:37:49 +0100

redmine (2.2.1+dfsg1-1) experimental; urgency=low

  * Imported Upstream version 2.2.1+dfsg1
  * Update patches to 2.2.1
  * Force to use rails 3.2.11 which contain critical security update

 -- Ondřej Surý <ondrej@debian.org>  Tue, 15 Jan 2013 14:50:28 +0100

redmine (2.2.0+dfsg1-1) experimental; urgency=low

  * Imported Upstream version 2.2.0+dfsg1
  * Refresh patches for 2.2.0 release
  * Rework the logic of replacing session tokens to trigger when the file
    doesn't exist or we are upgrading from previous version

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Jan 2013 12:46:35 +0100

redmine (2.1.4+dfsg2-2) experimental; urgency=low

  * Regenerate session.yml on upgrades to fix the Class incompatibility
    breakage in Rails 2.3->3.2 migration.
  * Purge session.yml from ucf database before replacing it

 -- Ondřej Surý <ondrej@debian.org>  Wed, 12 Dec 2012 15:13:17 +0100

redmine (2.1.4+dfsg2-1) experimental; urgency=low

  * Update gbp.conf to filter-out lib/plugins instead of vendor/plugins
  * Update NEWS to match the news upstream version
  * Add myself to Uploaders

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Dec 2012 11:42:38 +0100

redmine (2.1.4+dfsg1-1) experimental; urgency=low

  [ Ondřej Surý ]
  * Imported Upstream version 2.1.4
  * Update plugins directory from vendor/plugins to lib/plugins
  * debian/control:
    + Update depedencies for redmine (mainly switch from Rails 2.3 to
      Rails 3.2)
    + Add rubygems to Build-Depends
    + Adds Conflict with ruby-passenger << 3, because redmine is not
      compatible with version 2
    + Add dependency on redmine (= ${source:Version}) for all database
      packages, so they are upgraded together.
    + Bump ruby-mysql dependency to >= 2.8.1 per Gemfile
  * debian/patches/*:
    + Update (and refresh) patches to Redmine 2.1.x
    + In ActiveRecord 3.2, MysqlAdapter extends AbstractMysqlAdapter, not
      AbstractAdapter (Courtesy of Adrian Wilkins)
    + Load session.yml only if the file exists
    + Update Gemfile-comment-all-gems patch for 2.1.4 release
  * debian/postinst:
    + The rake task generate_session_store has been deprecated, using
      the generate_secret_token in postinst instead.
    + The rake task db:migrate_plugins has been deprecated, using the
      replacement version redmine:plugins:migrate instead

  [ Jérémy Lal ]
  * debian/control:
    + Recommends: libfcgi-ruby1.9.1 | libfcgi-ruby,
      it is needed when using fastcgi with ruby1.9.
    + Recommends: ruby-passenger.
    + Depends on ruby-{pg,mysql,sqlite3} instead of libxxx-ruby packages.
  * debian/postinst: use exit 1 instead of illegal negative value.
    (Closes: #687449)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 10 Dec 2012 12:33:19 +0100

redmine (1.4.4+dfsg1-3) unstable; urgency=low

  [ Jérémy Lal ]
  * This release is a candidate for proposed-updates.
    Changes have been kept to the minimum.

  [ Ondřej Surý ]
  * Pull upstream fixes for Ruby 1.9 as default interpreter:
    + Replace missing ParseDate with DateTime (Closes: #700754)
    + Fix broken REST API (Closes: #700009)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 11 May 2013 16:26:27 +0200

redmine (1.4.4+dfsg1-2) unstable; urgency=low

  * Manage and set dbuser default value like dbname. (Closes: #695774)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 19 Jan 2013 15:54:02 +0100

redmine (1.4.4+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: add dependency on rubygems or recent enough ruby
    (Closes: #693994) [Axel Beckert].
  * debian/postinst: replace exit status -1 with 2 for shell compatibility
    (e.g. ksh) (Closes: #687449).

 -- Dominik George <nik@naturalnet.de>  Sun, 29 Nov 2012 14:18:29 +0200

redmine (1.4.4+dfsg1-1) unstable; urgency=low

  * Upstream update.
  * debian/patches: trivial refresh.
  * debian/copyright: remove unused GPL section.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 18 Jun 2012 23:26:07 +0200

redmine (1.4.3+dfsg1-1) unstable; urgency=low

  * Upstream update.
  * debian/patches: trivial refresh.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 06 Jun 2012 00:11:33 +0200

redmine (1.4.2+dfsg1-1) unstable; urgency=low

  * Upstream update.
    Gem dependencies are managed by bundler, thus were removed from tarball.
  * debian/control:
    + depends on ruby | ruby-interpreter, as redmine is compatible with
      ruby1.8 and ruby1.9.
    + depends on ruby-net-ldap >= 0.3.1.
    + depends on ruby-fastercsv.
    + depends on ruby-openid instead of libopenid-ruby.
    + build-depends and depends on bundler.
  * debian/rules: do a bundler --local install, without any actual gem.
  * debian/copyright:
    + remove rails, ruby-net-ldap, rubytree, coderay dependencies.
    + remove lib/faster_csv.rb, now a dependency.
    + extend year to 2012.
  * debian/patches:
    + remove 2001_fix_shebang_interpreter.patch, unbundled file.
    + remove 2014_relax_RAILS_GEM_VERSION.patch, moved to Gemfile.
    + remove 2015_use_system_coderay.patch, moved to Gemfile.
    + trivial refresh on other patches.
    + remove 2016_fix_openid_login_7857_and_8473.patch, not needed
      since rails 2.3.14, necessity unclear.
    + 2017_Gemfile_debian.patch, prevents bundler from installing gems.
  * debian/README.source: update how to run tests.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 20 May 2012 16:43:11 +0200

redmine (1.3.3+dfsg1-2) unstable; urgency=low

  * Depends on coderay >= 1.0.5. (Closes: #669153)
  * Drop unneeded Suggests: libsvn-ruby.
  * Suggests: bzr, cvs, darcs, git, mercurial, subversion.
    Redmine directly calls SCM binary and doesn't use any ruby bindings.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 22 Apr 2012 12:28:24 +0200

redmine (1.3.3+dfsg1-1) unstable; urgency=low

  * Upstream update.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 14 Apr 2012 18:34:03 +0200

redmine (1.3.2+dfsg1-1) unstable; urgency=low

  * Upstream update.
  * Standards-Version 3.9.3.
  * Explicit dependency on ruby-rake >= 1.4.0.
  * debian/patches:
    + 1014_logout_cookie_rake.patch disabled, fixed by ruby-rake >= 1.4.0.
    + 1015_update_rubytree_specification.patch, applied upstream.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 13 Mar 2012 11:09:31 +0100

redmine (1.3.1+dfsg1-1) unstable; urgency=low

  * Upstream update.
  * Adds 'ar' language to debian/config list.
  * Update nl (Dutch)  translation. (Closes: #659247)
    Thanks to Jeroen Schot.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 11 Feb 2012 16:50:07 +0100

redmine (1.3.0+dfsg1-2) unstable; urgency=low

  [ Jérémy Lal ]
  * debian/patches/2002_FHS_through_env_vars.patch:
    Output pdf in RAILS_CACHE, not in Rails.root/tmp.
    (Closes: #656329)

  [ Paul van Tilburg ]
  * debian/watch: fixed a small error in the dversionmangle pattern.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 19 Jan 2012 22:54:28 +0100

redmine (1.3.0+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Require rails >= 2.3.14
  * New pt_BR.po file for debian. (Closes:#652881)
  * Update debian/copyright (raphael.js, coderay 0.9.7 to 1.0.0).
  * Refresh patches :
    + RAILS_ROOT is now Rails.root
    + Remove unused or applied upstream patches.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 26 Dec 2011 17:49:51 +0100

redmine (1.2.2+dfsg1-1) unstable; urgency=low

  * New upstream release.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 13 Nov 2011 09:18:17 +0100

redmine (1.2.1+dfsg2-3) unstable; urgency=low

  * Fix vendor/gems/rubytree-0.5.2/.specification file, which was
    not recognized by rubygems >= 1.8.10. (Closes: #645139)

 -- Jérémy Lal <kapouer@melix.org>  Sun, 23 Oct 2011 13:21:18 +0200

redmine (1.2.1+dfsg2-2) unstable; urgency=low

  [ Jérémy Lal ]
  * Require rails >= 2.3.11. (Closes: #642382)
  * Upload to unstable. (Closes: #645139)

  [ Ondřej Surý ]
  * Fix NoMethodError and OpenID authentication errors.
    + http://www.redmine.org/issues/7857
    + http://www.redmine.org/issues/8473

 -- Jérémy Lal <kapouer@melix.org>  Thu, 13 Oct 2011 01:31:53 +0200

redmine (1.2.1+dfsg2-1) experimental; urgency=low

  [ Jérémy Lal ]
  * DFSG vendor/plugins/rfpdf/lib/fonts except makefontuni_ruby.php
  * Use ttf2ufm and makefontuni_ruby.php to build the rfpdf fonts files
    from ttf-freefont and ttf-dejavu packages.
  * Update debian/copyright
  * Depends on ruby-coderay package instead of installing bundled gem.
  * Recommends ruby-net-ldap package instead of installing bundled one.
    (Closes: #628710)

  [ Ondřej Surý ]
  * Imported Upstream version 1.2.1
  * Add patch to prefix subtasks in generated PDF
    (http://www.redmine.org/issues/8617)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 26 Aug 2011 15:01:22 +0200

redmine (1.2.0-1) UNRELEASED; urgency=low

  [ Ondřej Surý ]
  * Push redmine-1.2.0 to experimental
  * Imported Upstream version 1.2.0
    (Closes: #629608)
  * Updated patches to 1.2.0 release
  * Update scripts and documentation:
    + email.yml was renamed to configuration.yml
    + rfpdf/lib/rfpdf/ was changed to rfpdf/lib/fpdf/

  [ Jérémy Lal ]
  * Add new locale fa (Persian) in debian config
  * email.yml renamed to configuration.yml : ucf purge accordingly.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 02 Jul 2011 16:51:40 +0200

redmine (1.1.3-4) unstable; urgency=low

  * rack 1.3.1 does not support symbols as keys in cookie hash.
    (Closes: #637486)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 01 Sep 2011 21:53:43 +0200

redmine (1.1.3-3) unstable; urgency=low

  [ Jérémy Lal ]
  * rack 1.3.1 does not support calling cookies.delete on a symbol.
    (Closes: #637486).
  * vendor/rails now links to /usr/lib/ruby/vendor_ruby/rails,
    only if it exists, preserving older rails compatibility.
    (Closes: #635456).
  * backport r5134 to fix "Add a relation between issues"
    (Closes: #639190)

  [ Ondřej Surý ]
  * Alternatively depend on rails to allow easy backports

 -- Jérémy Lal <kapouer@melix.org>  Wed, 24 Aug 2011 22:59:58 +0200

redmine (1.1.3-2) unstable; urgency=low

  * Do not setup /var/run/redmine in postinst, /run is tmpfs.
    Propose other paths:/var/run/lighttpd, /tmp.
    (Closes: #631058).
  * Depends on renamed packages ruby-rails-2.3, ruby-rmagick.
  * Depends on ruby1.8 only. Fix shebangs.
  * Output a message and exit postinst with error if rake db:migrate fails
    (Closes: #632178).

 -- Jérémy Lal <kapouer@melix.org>  Sun, 24 Jul 2011 23:02:50 +0200

redmine (1.1.3-1) unstable; urgency=low

  * New upstream release (Closes: #628180, #628181, #625270)
  * Move VCS to git.debian.org
  * Standards-Version 3.9.2
  * Depends on rails >= 2.3.11, remove unneeded patches:
    + debian/patches/2011_rubygems_need_thread.patch
    + debian/patches/2010_use_i18n_0.4.1.patch (part of)
    + debian/patches/2007_disable_deprecation_warnings.patch
    + debian/patches/2012_rubygems_version_requirement.patch

 -- Jérémy Lal <kapouer@melix.org>  Mon, 30 May 2011 19:45:53 +0200

redmine (1.1.2-2) unstable; urgency=low

  * Upload to unstable. (Closes: #620911)

 -- Jérémy Lal <kapouer@melix.org>  Tue, 05 Apr 2011 04:06:22 +0200

redmine (1.1.2-1) experimental; urgency=low

  * New upstream release
  * Update and convert debian/copyright to dep5 format.
  * Work around rubygems bug #587767.
  * Add version_requirement method support for compatibility with
    rubygems >= 1.5.0.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 22 Mar 2011 01:16:28 +0100

redmine (1.1.0-1) experimental; urgency=low

  * New upstream release.
  * All patches follow DEP-3 format.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 26 Jan 2011 11:26:59 +0100

redmine (1.0.5-1) unstable; urgency=low

  * New upstream release
  * i18n patch needed because redmine 1.0.5 depend on libi18n-ruby 0.4.2.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 24 Dec 2010 17:51:03 +0100

redmine (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Jérémy Lal <kapouer@melix.org>  Sun, 28 Nov 2010 19:38:34 +0100

redmine (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Support for variable 'x_debian_siteid' in thin config file,
    and provide yml example.
  * Update the list of supported locales for loading default data,
    upstream added support for : en-GB, eu, lv, mk, mn, sr-YU.
    (Closes: #566859)
  * Remove "disable autologin" patch, applied upstream.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 03 Nov 2010 12:33:52 +0100

redmine (1.0.2-4) unstable; urgency=low

  * Fix wrong dependencies on libdbd-*-ruby packages,
    only lib(mysql|pgsql|sqlite3)-ruby are needed.
  * Make "disable autologin" really work. From upstream patch
    http://www.redmine.org/issues/6438
  * Some patches were missing a description.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 18 Oct 2010 01:14:19 +0200

redmine (1.0.2-3) unstable; urgency=low

  * Disable GEM deprecation more carefully. (Closes: #599943)
  * Remove i18n deprecation message.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 15 Oct 2010 21:50:28 +0200

redmine (1.0.2-2) unstable; urgency=low

  * Update vi translation. (Closes: #598605)
  * Hint dbconfig-common so it creates mysql or pgsql databases
    using UTF8 encoding, when that feature will be available.
  * Patch ActiveRecord's MySql adapter so tables are created with
    DEFAULT ENCODING = the one given in database.yml.
    (Closes: #597652)
  * Silence gem deprecation warnings in production env. (Closes: #599943)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 15 Oct 2010 00:56:33 +0200

redmine (1.0.2-1) unstable; urgency=low

  * New upstream release: better stability, and translations
    updates. See http://www.redmine.org/versions/show/24
  * Reformat README.Debian to make it easier to read, mention that running
    with webrick needs a log dir. (Closes: #597649)
  * Remove patch for libi18n-ruby 0.4.1 support, applied upstream.
    Silent deprecation warnings in production env.
  * Update es translation. (Closes: #594853)
  * Improve apache2-passenger-host.conf example.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 27 Sep 2010 02:17:00 +0200

redmine (1.0.1-1) unstable; urgency=low

  * Upstream update, fixes many 1.0.0 RC bugs, see :
    http://www.redmine.org/versions/show/21
  * Patch for libi18n-ruby 0.4.1 support. (Closes: #592672)
  * Postinst note should be an error. (Closes: #591220)
  * Update translations. (Closes: #591072, #591219, #591235, #591268,
    #591308, #591689, #591716, #592371)
  * Fix /usr/share/doc/redmine/examples/apache2-* to work with
    libapache2-mod-fcgid >= 2.3.5 (LP: #620392)
  * Rephrase web server configuration section in README.Debian (LP: #620412)

 -- Jérémy Lal <kapouer@melix.org>  Sun, 01 Aug 2010 15:41:26 +0200

redmine (1.0.0-4) unstable; urgency=low

  * If package redmine-<dbtype> is not installed, display a postinst
    debconf note and do not configure that db instance. (Closes: #590695)
  * Migration from rails 2.2 links : check if link exists with -L, not -e.
  * Add cs translation. (Closes: #589951)
  * Display correct path for email.yml configuration. (Closes: #590846)
  * Fix multiple db config by executing dbconfig scripts in a subshell.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 30 Jul 2010 15:12:38 +0200

redmine (1.0.0-3) unstable; urgency=low

  * Ensure vendor/rails link is created.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 20 Jul 2010 23:22:42 +0200

redmine (1.0.0-2) unstable; urgency=low

  * Fix detection of rails 2.2 links. (Closes: #588583)

 -- Jérémy Lal <kapouer@melix.org>  Tue, 20 Jul 2010 16:00:17 +0200

redmine (1.0.0-1) unstable; urgency=low

  * New upstream release : upstream considers it is a Release
    Canditate. Expect an update soon.
  * Refreshed quilt patches
  * Coderay plugin has been updated : update debian/rules and
    patch one of its files to remove an unnecessary shebang.
  * README.Debian : add more info about launching with webrick.
    (Closes: #589033)

 -- Jérémy Lal <kapouer@melix.org>  Sun, 18 Jul 2010 23:13:46 +0200

redmine (0.9.6-1) unstable; urgency=low

  * New upstream release

 -- Jérémy Lal <kapouer@melix.org>  Fri, 09 Jul 2010 23:48:32 +0200

redmine (0.9.5-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.0, BSD license included in copyright file.
  * uscan calls uupdate.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 29 Jun 2010 06:59:34 +0200

redmine (0.9.4-4) unstable; urgency=low

  * Let rails decide GC. (Closes: #585976)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 18 Jun 2010 23:36:14 +0200

redmine (0.9.4-3) unstable; urgency=low

  * Depends on rails 2.3.5. (Closes: #583107, #583313)
  * Clean up dependencies and recommandations.
  * Overall improvement over previous rails 2.2.3 version, since
    upstream supports redmine-0.9.4 / rails 2.3.5 combination.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 27 May 2010 02:44:42 +0200

redmine (0.9.4-2) unstable; urgency=low

  * ENV['RAILS_RELATIVE_URL_ROOT'] should never be empty.
    (Closes: #581383)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 12 May 2010 17:25:00 +0200

redmine (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * Migration from trac fix. (Closes: #576682)
  * /usr/share/redmine/config/environment.rb owned by www-data:root,
   so Passenger runs redmine as www-data instead of nobody.
   (Closes: #575462)
  * Use dh_installexamples instead of docs.
  * Additionnal and tested examples for passenger, nginx, spawn-fcgi.
  * Security fix : Escape revision on repository view.
  * DM-Upload-Allowed: yes

 -- Jérémy Lal <kapouer@melix.org>  Sun, 02 May 2010 13:58:12 +0200

redmine (0.9.3-3) unstable; urgency=low

  * Removes completely ineffective fcgi patch.
  * Security fix : Escape href attribute in auto links.
  * Security fix : Fixes permission check in QueriesController.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 25 Mar 2010 00:13:02 +0100

redmine (0.9.3-2) unstable; urgency=low

  * Rails 2.2 fix for mantis and trac migration tasks.
  * Rails 2.2 fix for application_controller naming, allows
    better compatibility with plugins.
  * Rails 2.2 fix hanging fcgi processes when database connections
    are left open : restarting spawn-fcgi is no more painful.
  * fr.po update. (Closes: #575152)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 24 Mar 2010 12:28:13 +0100

redmine (0.9.3-1) unstable; urgency=low

  * First attempt to support plugins. Unfortunately, many of them
    already depend on rails 2.3, so they'll need some patches.
  * Load session.yml in config/environment.rb before loading plugins.
    (Closes: #549453)
  * Move public/plugin_assets to /var/cache/redmine/plugin_assets.
    The server config must be fixed, examples are provided.
    (Closes: #570308)
  * Recommends libapache2-mod-passenger and provide some example for
    its configuration. (Closes: #570184)
  * Update email.yml example, document in README.Debian a bug with
    delivery method async_smtp. (Closes: #570402)

 -- Jérémy Lal <kapouer@melix.org>  Sun, 28 Feb 2010 19:32:55 +0100

redmine (0.9.2-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Drop get-orig-source, use uscan only, add copyright for rails
  * Fix forms select helper, another rails 2.2 incompatibility.
    (Closes: #569080)
  * Correctly declare generate_session_store task. (Closes: #569555)
  * Monkey patch to allow XHR requests in rails 2.2.3-2.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 14 Feb 2010 15:58:08 +0100

redmine (0.9.2-1) unstable; urgency=low

  * Upstream update
  * Adds id language to debian/config list.
  * Correct apache2 host example config. (Closes: #568859)
  * Migrate databases and plugins even when not reinstalled
    by dbconfig. (Closes: #568861)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 08 Feb 2010 14:08:42 +0100

redmine (0.9.1-1) unstable; urgency=low

  * Stop using deprecated dbfile param in database.yml.
  * Use session.yml to store secret session key.
  * Supports and documents running as unprivileged user. (Closes: #564086)
  * Split debian/patches.
  * Fix typo in po templates. (Closes: #553376)
  * Adds pt, de, sv, ru, es, ja translations.
    (Closes: #553375, #551002, #552736, #554351, #560999, #555693)
  * Fixes CVE-2009-4459 : uses the title tag before defining
    the character encoding in a meta tag. (Closes: #563940)
  * Install does not fail if rake fails (Closes: #566160)
  * Several rails 2.2 incompatibilities have been fixed,
    patches are applied with greater care. (Closes: #555956, #567512)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 30 Jan 2010 16:48:26 +0100

redmine (0.9.0~svn2907-1) unstable; urgency=low

  * Upstream update.
  * Supports reconfigure in postinst.
  * Db migration of plugins in postinst.
  * Advertise async_smtp in email.yml example.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 10 Oct 2009 17:43:46 +0200

redmine (0.9.0~svn2903-1) unstable; urgency=low

  * Upstream update.
  * Removes circular dependencies (Closes: #549442)
  * Session cookies path should respect RAILS_RELATIVE_URL_ROOT env variable.
  * Add folder for proper initialization of some plugins.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 08 Oct 2009 18:59:18 +0200

redmine (0.9.0~svn2902-1) unstable; urgency=low

  * Initial release (Closes: #478741)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 01 Oct 2009 12:16:16 +0200
